path: /build/build/libstatgrab-sys-libs-0.92.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-perl" emerge sys-libs/libstatgrab -pv -t && \
    USE="-perl" emerge -j ${JOBS} --nodeps sys-libs/libstatgrab
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libstatgrab && luet-portage --dir /pkgdir/libstatgrab
    sys-libs/libstatgrab && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e38a5b725a5c3703aa3c22ae8cbea9ff282eb20982b621bdf9785734aa982474
  package:
    name: libstatgrab
    version: 0.92.1
    category: sys-libs
    use_flags:
    - -perl
    requires:
    - name: liblxqt
      version: '>=0'
      category: lxqt-base
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    uri:
    - https://www.i-scream.org/libstatgrab/
    license: '|| ( GPL-2 LGPL-2.1 )'
    buildtimestamp: 2023-09-29 08:08:47.227298881 +0000 UTC m=+138.900051819
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: sys-libs/ncurses dev-libs/log4cplus app-text/docbook2X perl? ( virtual/perl
        )
      IUSE: examples perl static-libs
      RDEPEND: sys-libs/ncurses dev-libs/log4cplus app-text/docbook2X perl? ( virtual/perl
        )
      emerge.packages: sys-libs/libstatgrab
      kit: core-kit
      original.package.name: sys-libs/libstatgrab
      original.package.slot: "0"
      original.package.version: 0.92.1
    treedir: /build/packages
  package_dir: /pkgdir/libstatgrab
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 459dc6d55f616f1617d2a89fdfce7ffdd22eb81f844c5e6b9c36ef55960c9849
compressiontype: zstd
files:
- etc/saidar.properties
- etc/statgrab.properties
- usr/bin/saidar
- usr/bin/statgrab
- usr/bin/statgrab-make-mrtg-config
- usr/bin/statgrab-make-mrtg-index
- usr/include/statgrab.h
- usr/lib64/libstatgrab.so
- usr/lib64/libstatgrab.so.10
- usr/lib64/libstatgrab.so.10.0.2
- usr/lib64/pkgconfig/libstatgrab.pc
- usr/share/doc/libstatgrab-0.92.1/AUTHORS.bz2
- usr/share/doc/libstatgrab-0.92.1/COPYING.LGPL.bz2
- usr/share/doc/libstatgrab-0.92.1/COPYING.bz2
- usr/share/doc/libstatgrab-0.92.1/NEWS.bz2
- usr/share/doc/libstatgrab-0.92.1/PLATFORMS.bz2
- usr/share/doc/libstatgrab-0.92.1/README.bz2
- usr/share/man/man1/saidar.1.bz2
- usr/share/man/man1/statgrab-make-mrtg-config.1.bz2
- usr/share/man/man1/statgrab-make-mrtg-index.1.bz2
- usr/share/man/man1/statgrab.1.bz2
- usr/share/man/man3/libstatgrab.3.bz2
- usr/share/man/man3/sg_clear_error.3.bz2
- usr/share/man/man3/sg_comp_destroy.3.bz2
- usr/share/man/man3/sg_comp_get_tls.3.bz2
- usr/share/man/man3/sg_comp_init.3.bz2
- usr/share/man/man3/sg_disk_io_compare_name.3.bz2
- usr/share/man/man3/sg_disk_io_compare_traffic.3.bz2
- usr/share/man/man3/sg_drop_privileges.3.bz2
- usr/share/man/man3/sg_free_cpu_stats.3.bz2
- usr/share/man/man3/sg_free_disk_io_stats.3.bz2
- usr/share/man/man3/sg_free_fs_stats.3.bz2
- usr/share/man/man3/sg_free_host_info.3.bz2
- usr/share/man/man3/sg_free_load_stats.3.bz2
- usr/share/man/man3/sg_free_mem_stats.3.bz2
- usr/share/man/man3/sg_free_network_iface_stats.3.bz2
- usr/share/man/man3/sg_free_network_io_stats.3.bz2
- usr/share/man/man3/sg_free_page_stats.3.bz2
- usr/share/man/man3/sg_free_process_count.3.bz2
- usr/share/man/man3/sg_free_stats_buf.3.bz2
- usr/share/man/man3/sg_free_swap_stats.3.bz2
- usr/share/man/man3/sg_free_user_stats.3.bz2
- usr/share/man/man3/sg_fs_compare_device_name.3.bz2
- usr/share/man/man3/sg_fs_compare_mnt_point.3.bz2
- usr/share/man/man3/sg_get_cpu_percents.3.bz2
- usr/share/man/man3/sg_get_cpu_percents_of.3.bz2
- usr/share/man/man3/sg_get_cpu_percents_r.3.bz2
- usr/share/man/man3/sg_get_cpu_stats.3.bz2
- usr/share/man/man3/sg_get_cpu_stats_diff.3.bz2
- usr/share/man/man3/sg_get_cpu_stats_diff_between.3.bz2
- usr/share/man/man3/sg_get_cpu_stats_r.3.bz2
- usr/share/man/man3/sg_get_disk_io_stats.3.bz2
- usr/share/man/man3/sg_get_disk_io_stats_diff.3.bz2
- usr/share/man/man3/sg_get_disk_io_stats_diff_between.3.bz2
- usr/share/man/man3/sg_get_disk_io_stats_r.3.bz2
- usr/share/man/man3/sg_get_error.3.bz2
- usr/share/man/man3/sg_get_error_arg.3.bz2
- usr/share/man/man3/sg_get_error_details.3.bz2
- usr/share/man/man3/sg_get_error_errno.3.bz2
- usr/share/man/man3/sg_get_fs_stats.3.bz2
- usr/share/man/man3/sg_get_fs_stats_diff.3.bz2
- usr/share/man/man3/sg_get_fs_stats_diff_between.3.bz2
- usr/share/man/man3/sg_get_fs_stats_r.3.bz2
- usr/share/man/man3/sg_get_host_info.3.bz2
- usr/share/man/man3/sg_get_host_info_r.3.bz2
- usr/share/man/man3/sg_get_load_stats.3.bz2
- usr/share/man/man3/sg_get_load_stats_r.3.bz2
- usr/share/man/man3/sg_get_mem_stats.3.bz2
- usr/share/man/man3/sg_get_mem_stats_r.3.bz2
- usr/share/man/man3/sg_get_nelements.3.bz2
- usr/share/man/man3/sg_get_network_iface_stats.3.bz2
- usr/share/man/man3/sg_get_network_iface_stats_r.3.bz2
- usr/share/man/man3/sg_get_network_io_stats.3.bz2
- usr/share/man/man3/sg_get_network_io_stats_diff.3.bz2
- usr/share/man/man3/sg_get_network_io_stats_diff_between.3.bz2
- usr/share/man/man3/sg_get_network_io_stats_r.3.bz2
- usr/share/man/man3/sg_get_page_stats.3.bz2
- usr/share/man/man3/sg_get_page_stats_diff.3.bz2
- usr/share/man/man3/sg_get_page_stats_diff_between.3.bz2
- usr/share/man/man3/sg_get_page_stats_r.3.bz2
- usr/share/man/man3/sg_get_process_count.3.bz2
- usr/share/man/man3/sg_get_process_count_of.3.bz2
- usr/share/man/man3/sg_get_process_count_r.3.bz2
- usr/share/man/man3/sg_get_process_stats.3.bz2
- usr/share/man/man3/sg_get_process_stats_r.3.bz2
- usr/share/man/man3/sg_get_swap_stats.3.bz2
- usr/share/man/man3/sg_get_swap_stats_r.3.bz2
- usr/share/man/man3/sg_get_user_stats.3.bz2
- usr/share/man/man3/sg_get_user_stats_r.3.bz2
- usr/share/man/man3/sg_get_valid_filesystems.3.bz2
- usr/share/man/man3/sg_global_lock.3.bz2
- usr/share/man/man3/sg_global_unlock.3.bz2
- usr/share/man/man3/sg_init.3.bz2
- usr/share/man/man3/sg_internal-intro.3.bz2
- usr/share/man/man3/sg_intro.3.bz2
- usr/share/man/man3/sg_lock_mutex.3.bz2
- usr/share/man/man3/sg_network_iface_compare_name.3.bz2
- usr/share/man/man3/sg_network_io_compare_name.3.bz2
- usr/share/man/man3/sg_process_compare_cpu.3.bz2
- usr/share/man/man3/sg_process_compare_gid.3.bz2
- usr/share/man/man3/sg_process_compare_name.3.bz2
- usr/share/man/man3/sg_process_compare_pid.3.bz2
- usr/share/man/man3/sg_process_compare_res.3.bz2
- usr/share/man/man3/sg_process_compare_size.3.bz2
- usr/share/man/man3/sg_process_compare_time.3.bz2
- usr/share/man/man3/sg_process_compare_uid.3.bz2
- usr/share/man/man3/sg_prove_vector.3.bz2
- usr/share/man/man3/sg_set_error.3.bz2
- usr/share/man/man3/sg_set_error_with_errno.3.bz2
- usr/share/man/man3/sg_set_error_with_errno_code.3.bz2
- usr/share/man/man3/sg_set_valid_filesystems.3.bz2
- usr/share/man/man3/sg_shutdown.3.bz2
- usr/share/man/man3/sg_snapshot.3.bz2
- usr/share/man/man3/sg_str_error.3.bz2
- usr/share/man/man3/sg_strperror.3.bz2
- usr/share/man/man3/sg_unlock_mutex.3.bz2
- usr/share/man/man3/sg_vector_clear.3.bz2
- usr/share/man/man3/sg_vector_clone.3.bz2
- usr/share/man/man3/sg_vector_clone_into.3.bz2
- usr/share/man/man3/sg_vector_compute_diff.3.bz2
- usr/share/man/man3/sg_vector_create.3.bz2
- usr/share/man/man3/sg_vector_free.3.bz2
- usr/share/man/man3/sg_vector_resize.3.bz2
- usr/share/man/man3/statgrab.3.bz2
- var/db/pkg/sys-libs/libstatgrab-0.92.1/BDEPEND
- var/db/pkg/sys-libs/libstatgrab-0.92.1/BUILD_TIME
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CATEGORY
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CBUILD
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CFLAGS
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CHOST
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CONTENTS
- var/db/pkg/sys-libs/libstatgrab-0.92.1/COUNTER
- var/db/pkg/sys-libs/libstatgrab-0.92.1/CXXFLAGS
- var/db/pkg/sys-libs/libstatgrab-0.92.1/DEFINED_PHASES
- var/db/pkg/sys-libs/libstatgrab-0.92.1/DEPEND
- var/db/pkg/sys-libs/libstatgrab-0.92.1/DESCRIPTION
- var/db/pkg/sys-libs/libstatgrab-0.92.1/EAPI
- var/db/pkg/sys-libs/libstatgrab-0.92.1/FEATURES
- var/db/pkg/sys-libs/libstatgrab-0.92.1/HOMEPAGE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/INHERITED
- var/db/pkg/sys-libs/libstatgrab-0.92.1/IUSE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/KEYWORDS
- var/db/pkg/sys-libs/libstatgrab-0.92.1/LDFLAGS
- var/db/pkg/sys-libs/libstatgrab-0.92.1/LICENSE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/NEEDED
- var/db/pkg/sys-libs/libstatgrab-0.92.1/PF
- var/db/pkg/sys-libs/libstatgrab-0.92.1/PROVIDES
- var/db/pkg/sys-libs/libstatgrab-0.92.1/RDEPEND
- var/db/pkg/sys-libs/libstatgrab-0.92.1/REQUIRES
- var/db/pkg/sys-libs/libstatgrab-0.92.1/SIZE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/SLOT
- var/db/pkg/sys-libs/libstatgrab-0.92.1/USE
- var/db/pkg/sys-libs/libstatgrab-0.92.1/environment.bz2
- var/db/pkg/sys-libs/libstatgrab-0.92.1/libstatgrab-0.92.1.ebuild
- var/db/pkg/sys-libs/libstatgrab-0.92.1/repository
package_cacheimage: ""
runtime:
  name: libstatgrab
  version: 0.92.1
  category: sys-libs
  use_flags:
  - -perl
  requires:
  - name: log4cplus
    version: '>=0'
    category: dev-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  uri:
  - https://www.i-scream.org/libstatgrab/
  license: '|| ( GPL-2 LGPL-2.1 )'
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: sys-libs/ncurses dev-libs/log4cplus app-text/docbook2X perl? ( virtual/perl
      )
    IUSE: examples perl static-libs
    RDEPEND: sys-libs/ncurses dev-libs/log4cplus app-text/docbook2X perl? ( virtual/perl
      )
    emerge.packages: sys-libs/libstatgrab
    kit: core-kit
    original.package.name: sys-libs/libstatgrab
    original.package.slot: "0"
    original.package.version: 0.92.1
